View Issue Details

IDProjectCategoryView StatusLast Update
0001019SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.0.pre.1 
Target Version3.3.0.pre.1Fixed in Version3.3.0 
Summary0001019: Grouplets - Add a feature to specify a subset of nodes for which a router is enabled to allow piloting of configuration.
DescriptionAdd a feature to specify a subset of nodes for which a router is enabled to allow piloting and rolling out of synchronization configuration.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4ae07a89

2013-01-30 08:42:45

chenson

Details Diff
0001019: Add a feature to specify a subset of nodes for which a router is enabled to allow piloting of configuration.
0001019
mod - symmetric-assemble/src/docbook/configuration.xml Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Router.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File

SymmetricDS: master 7eac97ef

2013-01-31 11:01:54

chenson

Details Diff
0001019: Grouplets - Add a feature to specify a subset of nodes for which a router is enabled to allow piloting of configuration.
0001019
mod - symmetric-assemble/src/docbook/configuration.xml Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Grouplet.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/GroupletLink.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Router.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerRouterGrouplet.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IGroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File
mod - symmetric-server/src/main/deploy/change-log-3.0.txt Diff File

SymmetricDS: master 19c2fcc1

2013-01-31 11:41:25

chenson

Details Diff
0001019: Grouplets - Add a feature to specify a subset of nodes for which a router is enabled to allow piloting of configuration.
0001019
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerRouterGrouplet.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IGroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File

Issue History

Date Modified Username Field Change
2013-01-30 08:41 chenson New Issue
2013-01-30 08:41 chenson Status new => assigned
2013-01-30 08:41 chenson Assigned To => chenson
2013-01-30 08:41 chenson Status assigned => resolved
2013-01-30 08:41 chenson Fixed in Version => 3.3.0.pre.1
2013-01-30 08:41 chenson Resolution open => fixed
2013-01-30 08:46 chenson Status resolved => closed
2013-01-31 10:50 chenson Summary Add a feature to specify a subset of nodes for which a router is enabled to allow piloting of configuration. => Grouplets - Add a feature to specify a subset of nodes for which a router is enabled to allow piloting of configuration.
2013-01-31 11:00 chenson Description Updated View Revisions
2013-02-04 15:48 chenson Fixed in Version 3.3.0.pre.1 => 3.3.0
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6792
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6801
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6802
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 19c2fcc1
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7eac97ef
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4ae07a89